Subject: Re: [Xml-sg-cmt] [xml2rfc] #662: Add links to boilerplate

From: Robert Sparks <[email-masked]>
Date: Fri, 13 Aug 2021 14:00:39 -0500

Switching lists. Anyone here have an opinion?

RjS

On 8/12/21 10:32 PM, Kesara Rathnayake wrote:
> <quote>
>  The text htmlizer tool (used on datatracker and tools) creates links 
> in the boilerplate for "Section 2 of RFC 7841" (#status-of-memo) and 
> "BCP 78" (#copyright). These are not links in HTML renderings, but 
> they could, and should, be.
> </quote>
>
> Will there be any issues if we make these boilerplate changes on HTML 
> and PDF output?
>
>   --Kesara
>
> On 13/08/21 3:28 pm, xml2rfc issue tracker wrote:
>> #662: Add links to boilerplate
>> --------------------------------+--------------------------
>>    Reporter:  [email-masked]  |      Owner:
>>        Type:  defect             |     Status:  under_review
>>    Priority:  minor              |  Milestone:
>>   Component:  v3 vocabulary      |    Version:
>> Resolution:                     |   Keywords:
>> --------------------------------+--------------------------
>> Changes (by [email-masked]):
>>
>>   * status:  new => under_review
>>
>>
>> -- 
>> Ticket URL: <https://trac.ietf.org/trac/xml2rfc/ticket/662#comment:1>
>> xml2rfc <https://trac.ietf.org/trac/xml2rfc/>
>>
>

---

From: Sandy Ginoza <[email-masked]>
Date: Mon, 16 Aug 2021 16:28:25 -0700

Hi Robert, Kesara,

I don’t have any objections, but I am curious to see what the XML would look like.  
Is it correct that there would be no change to the text file?  

Thanks,
Sandy 

> On Aug 13, 2021, at 12:00 PM, Robert Sparks <[email-masked]> wrote:
> 
>>  The text htmlizer tool (used on datatracker and tools) creates links in the boilerplate for "Section 2 of RFC 7841" (#status-of-memo) and "BCP 78" (#copyright). These are not links in HTML renderings, but they could, and should, be.
>> </quote>
>> 
>> Will there be any issues if we make these boilerplate changes on HTML and PDF output?
>> 
>>   --Kesara
>> 
> Xml-sg-cmt mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml-sg-cmt

---

From: "John R Levine" <[email-masked]>
Date: 16 Aug 2021 20:56:04 -0400

> Is it correct that there would be no change to the text file?

If this is the text htmlizer, it starts with the text output of xml2rfc 
or with an old text RFC, and then decorates that with links and such.

R's,
John

>>>> #662: Add links to boilerplate

Regards,
John Levine, [email-masked], Taughannock Networks, Trumansburg NY
Please consider the environment before reading this e-mail. https://jl.ly

---

From: Robert Sparks <[email-masked]>
Date: Tue, 17 Aug 2021 17:02:28 -0500

On 8/16/21 7:56 PM, John R Levine wrote:
> If this is the text htmlizer, it starts with the text output of 
> xml2rfc or with an old text RFC, and then decorates that with links 
> and such.

The question is not about changing the htmlizer. It is whether we bring 
something the htmlizer does into the html we produced when rendering v3.

I don't think the xml would change at all - just the html renderer.

Kesara also asks if we should do the same thing to the pdf renderer.

>>>>  The text htmlizer tool (used on datatracker and tools) creates 
>>>> links in the boilerplate for "Section 2 of RFC 7841" 
>>>> (#status-of-memo) and "BCP 78" (#copyright). These are not links in 
>>>> HTML renderings, but they could, and should, be.
>>>> </quote>
>>>>

---

From: "John R Levine" <[email-masked]>
Date: 18 Aug 2021 12:29:54 -0400

>> If this is the text htmlizer, it starts with the text output of xml2rfc or 
>> with an old text RFC, and then decorates that with links and such.
>

Ah.  Those both seem harmless enough.  I don't see anything in RFC 7992 
that forbids more links.

Regards,